A valid request URL is required to generate request examples{
"total_bytes": 1,
"num_rows": 1,
"num_indices": 1,
"fragment_stats": {
"num_fragments": 1,
"num_small_fragments": 1,
"lengths": {
"min": 1,
"max": 1,
"mean": 1,
"p25": 1,
"p50": 1,
"p75": 1,
"p99": 1
}
}
}Get table statistics
Get statistics for table id, including row counts, data sizes, and column statistics.
A valid request URL is required to generate request examples{
"total_bytes": 1,
"num_rows": 1,
"num_indices": 1,
"fragment_stats": {
"num_fragments": 1,
"num_small_fragments": 1,
"lengths": {
"min": 1,
"max": 1,
"mean": 1,
"p25": 1,
"p50": 1,
"p75": 1,
"p99": 1
}
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
Response
Table statistics
The total number of bytes in the table
x >= 0The number of rows in the table
x >= 0The number of indices in the table
x >= 0Statistics on table fragments
Show child attributes
Show child attributes
Was this page helpful?